Toggle Slot
curl --request PATCH \
--url https://api.topsort.com/public/v1/media-service/slots/{slot-id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"isActive": true
}
'import requests
url = "https://api.topsort.com/public/v1/media-service/slots/{slot-id}"
payload = { "isActive": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({isActive: true})
};
fetch('https://api.topsort.com/public/v1/media-service/slots/{slot-id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Media API
Toggle Slot
Activate/Deactivate a slot.
PATCH
/
public
/
v1
/
media-service
/
slots
/
{slot-id}
Toggle Slot
Autorisations
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Paramètres de chemin
The id of the slot.
Corps
application/json
Request body to activate or deactivate the slot.
Set is_active to true to activate the slot, or false to deactivate it.
Réponse
Successful Response
Cette page vous a-t-elle été utile ?
⌘I